import static org.junit.Assert.*;

import org.junit.jupiter.api.*;

// @TestMethodOrder(MethodOrderer.MethodName.class)
// @TestMethodOrder(MethodOrderer.Random.class)
@TestMethodOrder(CustomOrder.class)
public class CalculatorATest {
	private static StringBuilder output = new StringBuilder("");
    @Test
    public void testA() {
    	output.append("A");
        assertEquals(5, Calculator.add(2, 3));
    }

    @Test
    public void testB() {
    	output.append("B");
    	Calculator.add(0, 0);
        assertEquals(4, Calculator.add(0, 5));
    }

    @Test
    public void testC() {
    	output.append("C");
        assertEquals(4, Calculator.add(5, 0));
    }

    
    @Test
    public void testD() {
    	output.append("D");
        assertEquals(2, Calculator.subtract(5, 3));
    }

    @Test
    public void testE() {    	
    	output.append("E");
        assertEquals(10, Calculator.multiply(2, 5));
    }

    @Test
    public void testDivide() {
        assertEquals(2, Calculator.divide(10, 5));
    }

    @Test
    public void testDivideByZero() {
        Calculator.divide(10, 0);
    }

    @AfterAll
    public static void after() {
    	System.out.println(output.toString());
    }

}